import { getServerSession } from "next-auth/next"
import { authOptions } from "./api/auth/[...nextauth]/route"
import TicketPurchase from './components/TicketPurchase'
import UserTickets from './components/UserTickets'
import LoginButton from './components/LoginButton'

export default async function Home() {
  const session = await getServerSession(authOptions)

  return (
    <main className="flex min-h-screen flex-col items-center justify-center p-24">
      <h1 className="text-4xl font-bold mb-8">Event Ticketing</h1>
      {session ? (
        <>
          <TicketPurchase />
          <UserTickets />
        </>
      ) : (
        <LoginButton />
      )}
    </main>
  )
}

